---

# Parameters:
#   playbook inventory
#     stage := the name of the stage (e.g. dev, int, qa, prod)
#     tenant := object with tenant related data
#       key := 
#       name := 
#     cluster := object with cluster specific data (optional)
#       ...
#     data := object with action specific data (optional)
#       ...
#   smardigo message callback
#     scope_id := (scope id of the management process)
#     process_instance_id := (process instance id of the management process)
#     smardigo_management_action := (smardigo management action anme of the management process)

#############################################################
#   Creating inventory dynamically for given parameters
#############################################################

- import_playbook: pmci-inventory-cluster.yml

#############################################################
#   Creating inventory dynamically for given parameters
#############################################################

- hosts: "{{ stage }}-virtual-host-to-read-groups-vars"
  serial: "{{ serial_number | default(1) }}"
  gather_facts: false
  connection: local

  pre_tasks:
    - name: "Import autodiscover pre-tasks"
      import_tasks: tasks/autodiscover_pre_tasks.yml
      become: false
      tags:
        - always

  tasks:
    - name: "Add all servers for stage {{ stage }} to inventory"
      add_host:
        name: "{{ item.name }}"
        groups:
        - "stage_{{ stage }}"
        - "{{ item.service }}"
        stage_server_infos: "{{ stage_server_infos }}"
      changed_when: False
      with_items: "{{ stage_server_infos }}"

#############################################################
#   Updating monitoring for all servers
#############################################################

- hosts: "{{ stage }}-prometheus-01"
  serial: "{{ serial_number | default(1) }}"
  remote_user: root
  vars:
    ansible_ssh_host: "{{ stage_server_domain }}"

  tasks:
    - include_role:
        name: prometheus
        tasks_from: _update_config

#############################################################
#   Sending smardigo management message to process
#############################################################

- import_playbook: pmci-callback.yml
